<mat-expansion-panel [expanded]="isExpanded" *ngIf="dish!=null" class="mb-8">
  <mat-expansion-panel-header>
    <div class="row text-bold color-primary full-width">
      <div class="col">{{ dish.name }} </div>
      <div class="col">{{ dish.timePreparing | duration}}</div>
      <div class="col">
        <i class="material-icons normal__icon" (click)="$event.stopPropagation(); editDish()">edit</i>
        <i class="material-icons remove__icon" (click)="removeDish()">delete</i>
      </div>
    </div>
  </mat-expansion-panel-header>
  <mat-divider></mat-divider>
  <div class="row text-bold color-primary">
    <div class="col">INGREDIENTS</div>
  </div>
  <mat-divider></mat-divider>
  <div class="row pt-16">
    <div class="col">
      <ng-container *ngFor="let category of allCategory">
        <div class="row">
          <app-planned-ingredients [category]="category"
                                   [planIngredients]="dish.ingredients"></app-planned-ingredients>
        </div>
      </ng-container>
    </div>
  </div>
</mat-expansion-panel>
